| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
pimpl.hpp File Reference
`#include <uhd/config.hpp>`
`#include <memory>`

Go to the source code of this file.

## Macros
#define | UHD_PIMPL_DECL(_name)
#define | UHD_PIMPL_MAKE(_name, _args)

## Macro Definition Documentation

## ◆ UHD_PIMPL_DECL

#define UHD_PIMPL_DECL | ( |  | _name | ) |

Value:
struct _name; \
std::shared_ptr<_name>

Make a declaration for a pimpl in a header file.

Deprecated
  This macro is deprecated and will be removed in a future release. Instead, directly declare the pimpl struct in the header file.

## ◆ UHD_PIMPL_MAKE

#define UHD_PIMPL_MAKE | ( |  | _name,
|  |  | _args )

Value:
std::make_shared<_name> _args

Make an instance of a pimpl in a source file.

Deprecated
  This macro is deprecated and will be removed in a future release. Instead, directly instantiate the pimpl struct in the source file.